### Function Macro

# Vips IMAGE_ADDR

#### Declaration [src]

    #define VIPS_IMAGE_ADDR (
      I,
      X,
      Y
    )

#### Description [src]

This macro returns a pointer to a pixel in an image, cast to a `VipsPel` *. It only works for images which are fully available in memory, so memory buffers and small mapped images only.

If `VIPS_DEBUG` is defined, you get a version that checks bounds for you.

See also

`vips_image_wio_input()`, `vips_image_inplace()`, `VIPS_REGION_ADDR()`.

This function is not directly available to language bindings.

#### Parameters

`I`

  Type: `-`

  A `VipsImage`.

`X`

  Type: `-`

  X coordinate.

`Y`

  Type: `-`

  Y coordinate.